gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: add diagnostics


From: gnunet
Subject: [taler-deployment] branch master updated: add diagnostics
Date: Tue, 11 Apr 2023 17:21:00 +0200

This is an automated email from the git hooks/post-receive script.

dold pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new ea86ad5  add diagnostics
ea86ad5 is described below

commit ea86ad5660ac66d94d315ba49d224511b2e9ac1d
Author: Florian Dold <florian@dold.me>
AuthorDate: Tue Apr 11 17:20:58 2023 +0200

    add diagnostics
---
 netzbon/setup-exchange.sh | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/netzbon/setup-exchange.sh b/netzbon/setup-exchange.sh
index 86ee031..f933505 100755
--- a/netzbon/setup-exchange.sh
+++ b/netzbon/setup-exchange.sh
@@ -38,6 +38,14 @@ if test -z ${EXCHANGE_PAYTO:-}; then
   exit 1
 fi
 
+function die() {
+  say $1
+  exit 1
+}
+
+# Just try if sudo works for diagnostics
+sudo -i -u taler-exchange-offline id >/dev/null || die "Error: Unable to 
switch to taler-exchange-offline user"
+
 # Create master key as taler-exchange-offline *unless* user already
 # set the MASTER_PUBLIC_KEY to some value we can use.
 export MASTER_PRIV_DIR=.local/share/taler/exchange/offline-keys
@@ -54,7 +62,7 @@ if test -z ${MASTER_PUBLIC_KEY:-}; then
     "SECM_TOFU_FILE=\$HOME/${SECMOD_TOFU_FILE}\n" \
     >/etc/taler/conf.d/offline-setup.conf
 
-  MASTER_PUBLIC_KEY=$(sudo -i -u taler-exchange-offline taler-exchange-offline 
setup)
+  MASTER_PUBLIC_KEY=$(sudo -i -u taler-exchange-offline taler-exchange-offline 
-LDEBUG setup)
   echo "MASTER_PUBLIC_KEY=\"${MASTER_PUBLIC_KEY}\"" >>config/user.conf
   if test -z ${DO_OFFLINE:-}; then
     # Set 'DO_OFFLINE'

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]